Skip to main content

Provide password for pending payment

PUT https://wallet.paysera.com/rest/v1/wallet/{walletId}/pending-payment/{paymentId}

Provide password to confirm incoming payment

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
walletIdstring✓Wallet identifier
paymentIdinteger✓Pending payment identifier

Request Body​

FieldTypeRequiredDescription
passwordstring✓Password for payment confirmation

Example​

Request​

PUT https://wallet.paysera.com/rest/v1/wallet/{walletId}/pending-payment/{paymentId}
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"password": "secret123"
}

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Body REQUIRED
{
"password": "secret123"
}

RESPONSE

Password provided successfully
{}